{
    num: 516,
    accuracy: true,
    basePower: 0,
    category: "Status",
    isNonstandard: "Past",
    name: "Bestow",
    pp: 15,
    priority: 0,
    flags: { mirror: 1, bypasssub: 1, allyanim: 1, noassist: 1, failcopycat: 1 },
    onTry(source) {
        return !!source.item;
    },
    onHit(target, source, move) {
        if (target.item) {
            if (source.hp) {
                const item = target.takeItem();
                if (!item) return false;
                this.add('-enditem', target, item.name, '[from] move: Bestow', '[of] ' + source);
            }
        }

        const myItem = source.takeItem();
        if (!myItem) return false;

        if (!this.singleEvent("TakeItem", myItem, source.itemState, target, source, move, myItem) || !target.setItem(myItem)) {
            source.item = myItem.id;
            return false;
        }
        this.add("-item", target, myItem.name, "[from] move: Bestow", "[of] " + source);
    },
    secondary: null,
    target: "normal",
    type: "Normal",
    zMove: { boost: { spe: 2 } },
    contestType: "Cute"
}
